<template lang="pug">
  v-form
    v-container
      v-row
        v-col(cols='12' md='4')
          v-text-field(v-model='login' label='Логин' required='')
        v-col(cols='12' md='4')
          v-text-field(v-model='password' type="password" label='Пароль' required='')
      v-row
        v-btn(@click="Login" color="success") Войти

</template>

<script>
  export default {
    name: 'Login',

    data: () => ({
      login: "",
      password: ""
    }),
    methods: {
      Login() {
        this.$store.dispatch('login', {
          login: this.login,
          password: this.password
        })
      }
    }
  }
</script>
